################################################################################
# Docker                                                                       #
################################################################################
# DEFAULT: ./db
# NOTE: Use `.` as <project-root-dir>
# HOST_DB_DIR=

# DEFAULT: ./mq
# NOTE: Use `.` as <project-root-dir>
# HOST_MQ_DIR=

# Example: 999
# HINT: Use this bash command `getent group docker | cut -d: -f3`
HOST_DOCKER_GID=

# Example: 1000
# HINT: Use this bash command `id -g`
HOST_GID=

# DEFAULT: ./nopaqued.log
# NOTES: Use `.` as <project-root-dir>,
#        This file must be present on container startup
# HOST_NOPAQUE_DAEMON_LOG_FILE=

# DEFAULT: ./nopaque.log
# NOTES: Use `.` as <project-root-dir>,
#        This file must be present on container startup
# HOST_NOPAQUE_LOG_FILE=

# Example: 1000
# HINT: Use this bash command `id -u`
HOST_UID=


################################################################################
# Cookies                                                                      #
################################################################################
# CHOOSE ONE: False, True
# DEFAULT: False
# HINT: Set to true if you redirect http to https
# NOPAQUE_REMEMBER_COOKIE_SECURE=

# CHOOSE ONE: False, True
# DEFAULT: False
# HINT: Set to true if you redirect http to https
# NOPAQUE_SESSION_COOKIE_SECURE=


################################################################################
# Database                                                                     #
# DATABASE_URI blueprint:                                                      #
#   - dialect[+driver]://username:password@host[:port]/database                #
#     - sqlite is not supported                                                #
#     - values in square brackets are optional                                 #
################################################################################
# DEFAULT: postgresql://nopaque:nopaque@db/nopaque
# NOPAQUE_DATABASE_URL=

# DEFAULT: postgresql://nopaque:nopaque@db/nopaque_dev
# NOPAQUE_DEV_DATABASE_URL=

# DEFAULT: postgresql://nopaque:nopaque@db/nopaque_test
# NOPAQUE_TEST_DATABASE_URL=


################################################################################
# Email                                                                        #
################################################################################
# EXAMPLE: nopaque Admin <nopaque@example.com>
NOPAQUE_SMTP_DEFAULT_SENDER=

NOPAQUE_SMTP_PASSWORD=

# EXAMPLE: smtp.example.com
NOPAQUE_SMTP_SERVER=

# EXAMPLE: 587
NOPAQUE_SMTP_PORT=

# CHOOSE ONE: False, True
# DEFAULT: False
# NOPAQUE_SMTP_USE_SSL=

# CHOOSE ONE: False, True
# DEFAULT: False
# NOPAQUE_SMTP_USE_TLS=

# EXAMPLE: nopaque@example.com
NOPAQUE_SMTP_USERNAME=


################################################################################
# General                                                                      #
################################################################################
# EXAMPLE: admin.nopaque@example.com
NOPAQUE_ADMIN_EMAIL_ADRESS=

# DEFAULT: development
# CHOOSE ONE: development, production, testing
# NOPAQUE_CONFIG=

# EXAMPLE: contact.nopaque@example.com
NOPAQUE_CONTACT_EMAIL_ADRESS=

# DEFAULT: /mnt/nopaque
# NOTE: This must be a network share and it must be available on all Docker Swarm nodes
# NOPAQUE_DATA_DIR=

# DEFAULT: localhost
# NOPAQUE_DOMAIN=

# CHOOSE ONE: http, https
# DEFAULT: http
# NOPAQUE_PROTOCOL=

# DEFAULT: hard to guess string
# HINT: Use this bash command `python -c "import uuid; print(uuid.uuid4().hex)"`
# NOPAQUE_SECRET_KEY=


################################################################################
# Logging                                                                      #
################################################################################
# DEFAULT: /home/nopaqued/nopaqued.log ~ /home/nopaqued/nopaqued.log
# NOTE: Use `.` as <nopaqued-root-dir>
# NOPAQUE_DAEMON_LOG_FILE=

# DEFAULT: %Y-%m-%d %H:%M:%S
# NOPAQUE_LOG_DATE_FORMAT=

# DEFAULT: <nopaque-root-dir>/nopaque.log ~ /home/nopaque/nopaque.log
# NOTE: Use `.` as <nopaque-root-dir>
# NOPAQUE_LOG_FILE=

# DEFAULT: [%(asctime)s] %(levelname)s in %(pathname)s (function: %(funcName)s, line: %(lineno)d): %(message)s
# NOPAQUE_LOG_FORMAT=

# DEFAULT: WARNING
# CHOOSE ONE: CRITICAL, ERROR, WARNING, INFO, DEBUG
# NOPAQUE_LOG_LEVEL=


################################################################################
# Message queue                                                                #
# MESSAGE_QUEUE_URI blueprint:                                                 #
#   - transport://[userid:password]@hostname[:port]/[virtual_host]             #
#     - values in square brackets are optional                                 #
################################################################################
# DEFAULT: None
# HINT: A message queue is not required when using a single server process
# NOPAQUE_SOCKETIO_MESSAGE_QUEUE_URI=


################################################################################
# Proxy fix                                                                    #
################################################################################
# DEFAULT: 0
# Number of values to trust for X-Forwarded-For
# NOPAQUE_NUM_PROXIES_X_FOR=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Host
# NOPAQUE_NUM_PROXIES_X_HOST=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Port
# NOPAQUE_NUM_PROXIES_X_PORT=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Prefix
# NOPAQUE_NUM_PROXIES_X_PREFIX=

# DEFAULT: 0
# Number of values to trust for X-Forwarded-Proto
# NOPAQUE_NUM_PROXIES_X_PROTO=
